Public Member Functions | Public Attributes | Protected Attributes | List of all members
RagTime5SpreadsheetInternal::State Struct Reference

Internal: the state of a RagTime5Spreadsheet. More...

## Public Member Functions
| State ()
| constructor More...
std::string | getNewSheetName () const
| returns a new sheet name More...

## Public Attributes
std::map< int, std::shared_ptr< Sheet > > | m_idSheetMap
| map data id to sheet zone More...

## Protected Attributes
int | m_newSheetId
| a int uses to generate unique sheet id More...

## Detailed Description

Internal: the state of a RagTime5Spreadsheet.

## Constructor & Destructor Documentation

## ◆ State()

RagTime5SpreadsheetInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getNewSheetName()

std::string RagTime5SpreadsheetInternal::State::getNewSheetName | ( |  | ) | const
| inline

returns a new sheet name

## Member Data Documentation

## ◆ m_idSheetMap

std::map<int, std::shared_ptr<Sheet> > RagTime5SpreadsheetInternal::State::m_idSheetMap

map data id to sheet zone

## ◆ m_newSheetId

int RagTime5SpreadsheetInternal::State::m_newSheetId
| mutable protected

a int uses to generate unique sheet id

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx